# montage.h File Reference

Go to the source code of this file.

## Data Structures

struct | _MontageInfo

## Typedefs

typedef struct _MontageInfo | MontageInfo

## Enumerations

enum | MontageMode { UndefinedMode, FrameMode, UnframeMode, ConcatenateMode }

## Functions

MagickExport Image * | MontageImages (const Image *, const MontageInfo *, ExceptionInfo *)
MagickExport Image ** | MontageImageList (const ImageInfo *, const MontageInfo *, const Image *, ExceptionInfo *)
MagickExport MontageInfo * | CloneMontageInfo (const ImageInfo *, const MontageInfo *)
MagickExport MontageInfo ** | DestroyMontageInfo (MontageInfo *)
MagickExport void | GetMontageInfo (const ImageInfo *, MontageInfo *)

## Typedef Documentation

typedef struct _MontageInfo MontageInfo

## Enumeration Type Documentation

enum MontageMode

Enumerator:

  UndefinedMode |
  FrameMode |
  UnframeMode |
  ConcatenateMode |

## Function Documentation

MagickExport MontageInfo* CloneMontageInfo | ( | const ImageInfo * | ,
|  | const MontageInfo * |  |
| ) |  |  |

MagickExport MontageInfo* * DestroyMontageInfo | ( | MontageInfo * |  | ) |

MagickExport void GetMontageInfo | ( | const ImageInfo * | ,
|  | MontageInfo * |  |
| ) |  |  |

MagickExport Image* * MontageImageList | ( | const ImageInfo * | ,
|  | const MontageInfo * | ,
|  | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* MontageImages | ( | const Image * | ,
|  | const MontageInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |